<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Dokumentacja pliku gnuplot_link.hh</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('d8/d35/gnuplot__link_8hh.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a> &#124;
<a href="#namespaces">Przestrzenie nazw</a> &#124;
<a href="#enum-members">Wyliczenia</a>  </div>
  <div class="headertitle">
<div class="title">Dokumentacja pliku gnuplot_link.hh</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;list&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla gnuplot_link.hh:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d21/gnuplot__link_8hh__incl.png" border="0" usemap="#gnuplot__link_8hh" alt=""/></div>
<map name="gnuplot__link_8hh" id="gnuplot__link_8hh">
<area shape="rect" title=" " alt="" coords="40,5,163,32"/>
<area shape="rect" title=" " alt="" coords="5,80,48,107"/>
<area shape="rect" title=" " alt="" coords="72,80,131,107"/>
<area shape="rect" title=" " alt="" coords="155,80,218,107"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
Ten wykres pokazuje, które pliki bezpośrednio lub pośrednio załączają ten plik:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/d09/gnuplot__link_8hh__dep__incl.png" border="0" usemap="#gnuplot__link_8hhdep" alt=""/></div>
<map name="gnuplot__link_8hhdep" id="gnuplot__link_8hhdep">
<area shape="rect" title=" " alt="" coords="104,5,227,32"/>
<area shape="rect" href="../../d5/dd8/scene_8hh.html" title=" " alt="" coords="61,80,141,107"/>
<area shape="rect" href="../../d3/d54/gnuplot__link_8cpp.html" title=" " alt="" coords="166,80,295,107"/>
<area shape="rect" href="../../df/d0a/main_8cpp.html" title=" " alt="" coords="5,155,88,181"/>
<area shape="rect" href="../../da/d33/scene_8cpp.html" title=" " alt="" coords="113,155,199,181"/>
</map>
</div>
</div>
<p><a href="../../d8/d35/gnuplot__link_8hh_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d97/class_pz_g_1_1_file_info.html">PzG::FileInfo</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zestaw informacji dotyczący pliku i sposobu rysowania.  <a href="../../d4/d97/class_pz_g_1_1_file_info.html#details">Więcej...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/df9/class_pz_g_1_1_gnuplot_link.html">PzG::GnuplotLink</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Klasa realizuje interfejs do programu GNUPlot.  <a href="../../df/df9/class_pz_g_1_1_gnuplot_link.html#details">Więcej...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Przestrzenie nazw</h2></td></tr>
<tr class="memitem:d2/d4b/namespace_pz_g"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d4b/namespace_pz_g.html">PzG</a></td></tr>
<tr class="memdesc:d2/d4b/namespace_pz_g"><td class="mdescLeft">&#160;</td><td class="mdescRight">Moduł narzędzi umożliwiających połącznie z GNUPlotem. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Wyliczenia</h2></td></tr>
<tr class="memitem:a4360c76a1dbf714a19a0d97fe56e0660"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660">PzG::DrawingMode</a> { <a class="el" href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660ac85b6f8146edb5ca2df8345dd86ef039">PzG::DM_2D</a>, 
<a class="el" href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660aa7ef207217913b87d83fdf559d8368c7">PzG::DM_3D</a>
 }</td></tr>
<tr class="memdesc:a4360c76a1dbf714a19a0d97fe56e0660"><td class="mdescLeft">&#160;</td><td class="mdescRight">Określa tryb rysowania realizowanego przez program <code>gnuplot</code>.  <a href="../../d2/d4b/namespace_pz_g.html#a4360c76a1dbf714a19a0d97fe56e0660">Więcej...</a><br /></td></tr>
<tr class="separator:a4360c76a1dbf714a19a0d97fe56e0660"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0580cdb6bfe9e51d7de2588bc824076"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076">PzG::LineStyle</a> { <a class="el" href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076af8f97c84dadf8eaa1f0370861e15dfec">PzG::LS_CONTINUOUS</a>, 
<a class="el" href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076a6495216b6a84a9fbe7141a687f9c03f1">PzG::LS_SCATTERED</a>
 }</td></tr>
<tr class="memdesc:ab0580cdb6bfe9e51d7de2588bc824076"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sposób rysowania linii.  <a href="../../d2/d4b/namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076">Więcej...</a><br /></td></tr>
<tr class="separator:ab0580cdb6bfe9e51d7de2588bc824076"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Plik zawiera definicję klasy realizującej interfejs komunikacyjny do programu gnuplot. </p>

<p class="definition">Definicja w pliku <a class="el" href="../../d8/d35/gnuplot__link_8hh_source.html">gnuplot_link.hh</a>.</p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="../../dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="../../d8/d35/gnuplot__link_8hh.html">gnuplot_link.hh</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
